# $Revision: 1.11 $, $Date: 2002/08/11 20:19:46 $
Summary:	The GNU portable threads
Summary(pl):	Przenone wtki GNU
Name:		pth
Version:	1.4.0
Release:	2
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.gz
Patch0:		%{name}-m4_fix.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution (aka `multithreading') inside event-driven
applications. All threads run in the same address space of the server
application, but each thread has its own individual program-counter,
run-time stack, signal mask and errno variable.

%description -l pl
pth jest bardzo przenon biblioteki bazujc na POSIX/ANSI-C dla
platform uniksowych, bazujce na priorytetach dzielenie czasu bez
wywaszczenia dla wielu wtkw (czyli wielowtkowo) wewntrz
aplikacji sterowanych zdarzeniami. Wszystkie wtki dziaaj w tej
samej przestrzeni adresowej aplikacji serwera, ale kady ma swj
wasny licznik instrukcji, stos, maski sygnaw i zmienn errno.

%package devel
Summary:	Header files and development documentation for pth
Summary(pl):	Pliki nagwkowe i dokumentacja do pth
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for pth.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do pth.

%package static
Summary:	Static version of the GNU portable threads library
Summary(pl):	Statyczna wersja biblioteki pth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of the GNU portable threads library.

%description static -l pl
Statyczna wersja biblioteki przenonych wtkw GNU.

%prep
%setup -q
%patch0

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS ChangeLog HACKING HISTORY NEWS README SUPPORT TESTS THANKS USERS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_aclocaldir}/*
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pth.spec,v $
Revision 1.11  2002/08/11 20:19:46  mmazur
- fixed m4 macros
- rel2; STBR
- use new %%doc

Revision 1.10  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/11 21:05:35  kloczek
- Epoch: 1.

Revision 1.7  2002/02/11 20:28:32  serek
- reverted to 1.4.0 - 1.4.1 does not work properly.

Revision 1.6  2002/01/28 02:08:12  kloczek
- updated to 1.4.1 (minor changes and fixes).

Revision 1.5  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/14 00:13:08  kloczek
- added missing aclocal macros to %files in devel.

Revision 1.3  2001/12/20 09:48:37  qboosh
- remaining pl translations

Revision 1.2  2001/12/19 18:26:00  jajcus
- License is LGPL not GPL

Revision 1.1  2001/12/19 18:05:40  jajcus
- initial spec
